/* -*- c++ -*-
FILE: Machine.cpp
RCS REVISION: $Revision: 1.7 $

COPYRIGHT: (c) 1999 -- 2003 Melinda Green, Don Hatch, and Jay Berkenbilt - Superliminal Software

LICENSE: Free to use and modify for non-commercial purposes as long as the
    following conditions are adhered to:
    1) Obvious credit for the source of this code and the designs it embodies
       are clearly made, and
    2) Ports and derived versions of 4D Magic Cube programs are not distributed
       without the express written permission of the authors.

DESCRIPTION:
*/

#include <iostream>

#include "MachineX.h"

// This is a factory method for various machine types.
Machine*
Machine::createMachine(EventHandler* eh, int& argc, char *argv[],
                       Preferences& prefs, char const* machine_type)
{
    Machine* result = 0;
    if (strcmp(machine_type, "X") == 0)
    {
        return new MachineX(eh, argc, argv, prefs);
    }
    else
    {
        std::cerr << "Unsupported machine type " << machine_type << std::endl;
        exit(2);
    }

    return result;
}

// Local Variables:
// c-basic-offset: 4
// c-comment-only-line-offset: 0
// c-file-offsets: ((defun-block-intro . +) (block-open . 0) (substatement-open . 0) (statement-cont . +) (statement-case-open . +4) (arglist-intro . +) (arglist-close . +) (inline-open . 0))
// indent-tabs-mode: nil
// End:
